#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 serialise
version:              0.2.6.1
visibility:           public
id:                   serialise-0.2.6.1-2IftYpHrgUBLoSYxPNmGp
key:                  serialise-0.2.6.1-2IftYpHrgUBLoSYxPNmGp
license:              BSD-3-Clause
copyright:
    2015-2017 Duncan Coutts,
    2015-2017 Well-Typed LLP,
    2015 IRIS Connect Ltd

maintainer:           duncan@community.haskell.org, ben@smart-cactus.org
author:               Duncan Coutts
homepage:             https://github.com/well-typed/cborg
synopsis:             A binary serialisation library for Haskell values.
description:
    This package (formerly @binary-serialise-cbor@) provides pure, efficient
    serialization of Haskell values directly into @ByteString@s for storage or
    transmission purposes. By providing a set of type class instances, you can
    also serialise any custom data type you have as well.

    The underlying binary format used is the '\''Concise Binary Object
    Representation'\'', or CBOR, specified in RFC 7049. As a result,
    serialised Haskell values have implicit structure outside of the
    Haskell program itself, meaning they can be inspected or analyzed
    without custom tools.

    An implementation of the standard bijection between CBOR and JSON is provided
    by the [cborg-json](/package/cborg-json) package. Also see
    [cbor-tool](/package/cbor-tool) for a convenient command-line utility for
    working with CBOR data.

category:             Codec
abi:                  5a5563510d047a2d04684d60f7ad2335
exposed:              True
exposed-modules:
    Codec.Serialise Codec.Serialise.Class Codec.Serialise.Decoding
    Codec.Serialise.Encoding Codec.Serialise.IO
    Codec.Serialise.Internal.GeneralisedUTF8 Codec.Serialise.Properties
    Codec.Serialise.Tutorial

import-dirs:          /usr/lib/ghc-9.8.2/site-local/serialise-0.2.6.1
library-dirs:         /usr/lib/ghc-9.8.2/site-local/serialise-0.2.6.1
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/serialise-0.2.6.1
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/serialise-0.2.6.1
hs-libraries:         HSserialise-0.2.6.1-2IftYpHrgUBLoSYxPNmGp
depends:
    array-0.5.6.0-inplace base-4.19.1.0-inplace
    bytestring-0.12.1.0-inplace cborg-0.2.10.0-JNI9f7C4fJ0A2AjyIDnmaT
    containers-0.6.8-inplace ghc-prim-0.11.0-inplace
    half-0.3.1-I7QGxMINCsZCg3HDCAfLX9
    hashable-1.4.4.0-4FjbwRHK8slL7OrZ7pqlVV
    primitive-0.9.0.0-3Z6MZnSLD38BpiHT3vTCWH
    strict-0.5-GB4XQS8gXDt3QrGN8YdObW text-2.1.1-inplace
    these-1.2-7ZgiFrVLaAhcSWPGsQCrG time-1.12.2-inplace
    unordered-containers-0.2.20-GUwBPxO7Ljy8Kmoa5HHL0Q
    vector-0.13.1.0-K9L0R0MUB9huYC6wi7vj

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/serialise-0.2.6.1/html/serialise.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/serialise-0.2.6.1/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

